<%
 If saferequest("shopid")<>"" And Not isnumeric(saferequest("shopid"))  Then
	 response.redirect"../../note.jsp?errid=0"
End If
If request("shopid")="" Then 
	 response.redirect"../../note.jsp?errid=0"
End If
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<!--#include file="../../FHeadTitle.jsp"-->
<!--#include file="../../FFunction.jsp"-->
<!--#include file="../../inc/page.jsp"-->
<!--#include file="../../inc/ubbhtml.jsp"-->
<!--#include file="../../inc/shopinfo.jsp"-->
<style type="text/css">
<!--
.STYLE3 {	font-weight: bold;
	color: #FFFFFF;
}
.STYLE4 {color: #FF3333}
-->
</style>
<head>
    <title><%=my_name%> -- <%=shopname%></title>
 <meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
        <meta name="description" content="网上购物,店铺,特色店铺,<%=shopname%>." />
        <meta name="keywords" content="网上购物,店铺,特色店铺,<%=shopname%>." />
    <link href="../../images/favicon.ico" rel="icon" type="image/x-icon" />
    <link href="../../images/favicon.ico" rel="shortcut icon" type="image/x-icon" />
    <style type="text/css" media="screen">
	@import url("../../home/css/global/20060613.css");
    </style>

        <script src="../../home/common.js?t=20050304" language="javascript" type="text/javascript"></script>
    <script src="../../home/js/common.js?t=20050304" type="text/javascript"></script>
        <script language="javascript" type="text/javascript">
    //<![CDATA[
    var ver=navigator.appVersion;
    if(ver.indexOf("MSIE 5")!=-1)
    	document.write('<link href="../../home/css/shop/snow_ie5.css" rel="stylesheet" rel="stylesheet" type="text/css" media="screen" />');
    else
    	document.write('<link href="../../home/css/shop/snow.css" rel="stylesheet" rel="stylesheet" type="text/css" media="screen" />');
    //]]>
    </script>
</head>
<body class="FullWidth">
 <div id="Head">
 
</div>

<!--#include file="../../fheadall.jsp" -->

    
    </div>
    <div class="HackBox"></div>

<div id="Content">


<div id="ShopFP">
	<div id="PathBar" ><a href="../../index.jsp">首页</a> >> <a href="../../shopindex.jsp?PageType=B">所有店铺</a> >>
			<a href="myshop3.jsp?shopid=<%=saferequest("shopid")%>"><%=shopname%></a>
</div>
	<div id="NavBar">
		<div id="NBShopName"><%=shopname%></div>
		<div id="NBPersonalInfo"><a href="myshop3js.jsp?shopid=<%=saferequest("shopid")%>">【店铺介绍】</a></div>
		<div id="NBCredit"><a href="../../renzhengshow.jsp?huiyuan=<%=huiyuan%>&shopid=<%=saferequest("shopid")%>">【信用评价】</a></div>
		
</div>
	<div id="ShopInfo">
		<div id="PicAndFav">
			<div id="ShopPic">
				<table width="100%" border="0" cellpadding="0" cellspacing="0">
					<tr>
					<td align="center">
					     					        <div style="clear:both"><img src="../../members/images/logo/<%If shoplogo<>"" then%><%=shoplogo%><%else%>user_logo.gif<%End if%>" height="50" width=120 alt="店标"></div>
					  </td>
					</tr>
				</table>
			</div>
			<div id="AddToFav">
						<a href="../../members/shoucang.jsp?type=2&id=<%=saferequest("shopid")%>">收藏本店铺</a>
		  </div><br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="../../jst/fa.jsp?huiyuan=<%=huiyuan%>" target=_blank><B>给掌柜发信</B></a></nobr>
		</div>
		<div id="ShopInfoList">
			<ul>
				<li><span class="ListHint">　　掌柜:</span><%=username%></li>
				<%rz = conn.execute("select rz from huiyuan where huiyuan='"&huiyuan&"'")(0)%>
<%renzheng()%></a>								</li>
				<li><span class="ListHint">卖家信用:</span><%=sellxinyong%></li>
				<li><span class="ListHint">买家信用:</span><%=buyxinyong%></li>
				<li><span class="ListHint">商品数量:</span><%=numbers%></li>
				<li><span class="ListHint">创店时间:</span><%=sj%></li>
				<li><span class="ListHint">　　地址:</span><%=shopdz%></li>
		  </ul>
		<p></nobr>&nbsp; <span class="STYLE1"><a href="myshop3faq.jsp?shopid=<%=saferequest("shopid")%>"><b>相关问题</b></a>&nbsp; <a href="shop3guestbook.jsp?shopid=<%=saferequest("shopid")%>"><b>店铺留言</b></a>&nbsp; <a href="shop3shfw.jsp?shopid=<%=saferequest("shopid")%>"><strong>售后服务</strong></a></span></p>
		</div>
		<div id="ShopAnnounceContainer">
			<div id="ShopAnnounce">
				<div id="ShopAnnounceTitle">店铺公告</div>
				<div id="ShopAnnounceContent">
				<marquee style="position:relative;" onMouseOver="this.stop()" onMouseOut="this.start()" scrollamount="1" scrolldelay="85" direction="up" behavior="scroll"  height="60">
<%Set rs = Server.CreateObject("ADODB.Recordset")
sql="Select top 6 * From user_news where userid="&saferequest("shopid")&" Order By id DESC"
rs.open sql,conn,3,1
if rs.eof and rs.bof then
Response.Write("暂无公告")
end if
do while not rs.eof%>
    <tr valign="middle" bgcolor="#f1f1f1"> 
 <td height="25"><li><a href="shop3news.jsp?shopid=<%=saferequest("shopid")%>&amp;id=<%=rs("id")%>" target="_blank"><%=rs("bt")%></a>
 <%=rs("sj")%></li><br>
<%i=i+1
rs.MoveNext                                              
loop%></td>
      </tr>
    <tr align="center" valign="middle" bgcolor="#f1f1f1"> 
      <td height="25" colspan="5">
<%
rs.close:set rs=nothing%></td>
    </tr>
				  </marquee>
				</div>
			</div>
		</div>
		
		<div class="HackBox"></div>
	</div>
	
	<div id="ShopMain">
		<div id="MenuCol">

				<div class="HackBox"></div>
	  </div>
			
      			<div id="ItemPicView">
				<div id="ViewInfoTop">
					<div id="SortByPrice">

					  



<%if saferequest("add")="yes" then
if Request.Cookies(shop)("huiyuan")="" then
Response.write "<table width=100% bgcolor=#ffe1eb border=0 align=center cellpadding=0 cellspacing=0><tr><td><table width=70% bgcolor=#ffe1eb border=0 align=center cellpadding=0 cellspacing=0><tr><td height=30>&nbsp;</td></tr><tr><td align=center>只有会员登录后才可留言！您还没有登录<br><br>&nbsp;&nbsp;<a href=../../members/login.jsp>&gt;&gt;  登录</a>&nbsp;&nbsp;<a href=../../members/reg.jsp>&gt;&gt;  注册</a>&nbsp;&nbsp;<a href=../../index.jsp>&gt;&gt;  返回网站首页</a><br><br>&nbsp;&nbsp;<a href=shop3guestbook.jsp?shopid="&saferequest("shopid")&">&gt;&gt;  返回前一页</a><br></td></tr></table></td></tr></table>"
response.end
end if

if saferequest("name")="" then 
response.write "<table width=500 border=0 align=center cellpadding=0 cellspacing=0><tr><td height=30>&nbsp;</td></tr><tr><td>请留下您的姓名，谢谢！</td></tr></table>"
response.end
end if
if saferequest("contents")="" then 
response.write "<table width=500 border=0 align=center cellpadding=0 cellspacing=0><tr><td height=30>&nbsp;</td></tr><tr><td>不写留言反馈内容怎么提交！</td></tr></table>"
response.end
end if
if Len(saferequest("content"))>800 then 
response.write "<table width=500 border=0 align=center cellpadding=0 cellspacing=0><tr><td height=30>&nbsp;</td></tr><tr><td>错误提示:每条留言反馈的内容不能大于800字!<br>&nbsp;&nbsp;<a href=# onclick='history.back()'>返回修改</a></td></tr></table>"
response.end
end if
guestshopid=saferequest("guestshopid")
tel=saferequest("tel")
email=saferequest("email")
contents=saferequest("contents")
name=saferequest("name")
ip = Request.servervariables("REMOTE_ADDR")
guestshopid=saferequest("guestshopid")
set rs=server.createobject("adodb.recordset")
sql="select * from guestbook" 
rs.open sql,conn,1,3
rs.addnew
if my_shenhe=0 then 
rs("zt")=0 
else
rs("zt")=1
end if
rs("email")=email
rs("tel")=tel
rs("content")=contents
rs("name")=name
rs("shopid")=saferequest("shopid")
rs("ip")=ip
If guestshopid<>"" Then 
rs("guestshopid")=guestshopid
End if
rs.update
rs.close
set rs=nothing
Response.write "<table width=100%  border=0 align=center cellpadding=0 cellspacing=0><tr><td><table width=70%  border=0 align=center cellpadding=0 cellspacing=0><tr><td height=30>&nbsp;</td></tr><tr><td align=center>留言成功，谢谢您！<br><br>&nbsp;&nbsp;<a href=../../index.jsp>&gt;&gt;  返回网站首页</a><br><br>&nbsp;&nbsp;<a href=shop3guestbook.jsp?shopid="&saferequest("shopid")&">&gt;&gt;  返回前一页</a><br></td></tr></table></td></tr></table>"
else%>








					  
					  
					  <table width="600" border="0" align="center" cellpadding="0" cellspacing="0">
                        <tr>
                          <td height="22"><span class="STYLE3">&nbsp;店铺留言</span></td>
                        </tr>
                        
                        <tr>
                          <td height="3" valign="top">&nbsp;</td>
                        </tr>
                        <tr>
        <td height="40" valign="top"><table width="100%" border="0" align="center" cellpadding="9" cellspacing="1">
<% Set rs=Server.CreateObject("ADODB.Recordset")
sql="select * from guestbook where shopid="&saferequest("shopid")&" order by id desc"
rs.open sql,conn,3,1
if rs.eof then

response.write "<tr><td height=22 valign=middle style=""word-break:break-all"" align=center>暂时没有任何留言信息！</td></tr>"


else
page1("15")
i=1
do while not rs.eof and i<=rs.pagesize%>
          <tr> 
            <td  valign="middle" style="word-break:break-all">留言人：<a href=../../renzhengshow.jsp?huiyuan=<%=rs("name")%>&shopid=<%=rs("guestshopid")%>><%=rs("name")%></a>&nbsp;&nbsp;E-mail:<a href=mailto:<%=rs("email")%>?subject=留言回复><%=rs("email")%></a>&nbsp;&nbsp;时间：<%=rs("sj")%>&nbsp;&nbsp;留言人IP:<%=rs("ip")%></td>
          </tr>


<%
If rs("huifu")<>"" then
%>
							  <tr>
                                <td height="22" valign="middle" style="word-break:break-all"><em>留言内容：</em><%=rs("content")%><hr><em>回复：</em><%=rs("huifu")%></td>
                              </tr>
<%
else
%>                            
							  <tr>
                                <td height="22" valign="middle" style="word-break:break-all"><em>留言内容：</em><%=rs("content")%></td>
                              </tr>							  
							  
							  
							  
<%



end if
i=i+1
rs.MoveNext                                              
loop
%>
          <tr> 
              <td height="30" align="center" valign="middle">
<%
page2("shopid="&saferequest("shopid")&"&")
rs.close
set rs=nothing
End If%> </td>
          </tr>
        </table>
        <% End If %></td>
    </tr>
						<tr>
	          <td height="40" valign="top">
<%
if Request.Cookies(shop)("huiyuan")="" then
response.write"<table width=""100%"" border=""0"" align=""center"" cellpadding=""3"" cellspacing=""1"" bgcolor=""#FF6666""><tr><td bgcolor=""#FFE1EB"" align=""center"">只会员登录后您才可以留言！<a href=../../members/login.jsp>登录</a>&nbsp;&nbsp;<a href=../../members/reg.jsp>注册</a></tr></td></table>"

else
%>
<script language="javascript">
<!--//
function checksignup() {
if ( document.guestbook.contents.value == '' ) {
window.alert('请输入留言反馈内容!!');
document.guestbook.contents.focus();
return false;}
if ( document.guestbook.name.value == '' ) {
window.alert('请输入您的姓名!!');
document.guestbook.name.focus();
return false;}

if ( document.guestbook.email.value.length> 0 &&!document.guestbook.email.value.indexOf("@")==-1|document.guestbook.email.value.indexOf(".")==-1 ) {
window.alert('请输入正确的Email地址!!');
document.guestbook.email.focus();
return false;}
if((document.guestbook.tel.value!="")){if(isNaN(document.guestbook.tel.value)||(document.guestbook.tel.value.length<7)) {
window.alert("请输入有效电话号码,只能是数字!!");
document.guestbook.tel.focus();
return false;}}
if (document.guestbook.contents.value.length>800){
window.alert("留言反馈内容不能超过800字!！");
document.guestbook.contents.focus();
return false;}
return true;}
//-->
</script>  			  
			  <table width="100%" border="0" align="center" cellpadding="6" cellspacing="1">
          <form action="?add=yes&shopid=<%=saferequest("shopid")%>" method="POST" name="guestbook" id="guestbook">
            <tr valign="middle">
              <td width="150" height="25" align="center">您的姓名<font color="#ff3333">*</font></td>
              <td height="25"><input name=name1 class=wenbenkuang onMouseOver = "this.style.backgroundColor = '#E5F0FF'" onMouseOut = "this.style.backgroundColor = ''" value="<%=Request.Cookies(shop)("huiyuan")%>" size=25 maxlength="5" disabled><input name=guestshopid type="hidden" value="<%=Request.Cookies(shop)("myuserid")%>" ><input name=name type="hidden" value="<%=Request.Cookies(shop)("huiyuan")%>"></td>
            </tr>
            <tr valign="middle">
              <td height="25" align="center">联系电话&nbsp; </td>
              <td height="25"><input name=tel class=wenbenkuang id="tel" onMouseOver = "this.style.backgroundColor = '#E5F0FF'" onMouseOut = "this.style.backgroundColor = ''" size=45 maxlength="25"></td>
            </tr>
            <tr valign="middle">
              <td height="25" align="center">电子信箱<span class="STYLE4">*&nbsp;</span></td>
              <td height="25"><input name=email1 class=wenbenkuang onMouseOver = "this.style.backgroundColor = '#E5F0FF'" onMouseOut = "this.style.backgroundColor = ''" value="<%=Request.Cookies(shop)("mail")%>" size=45 maxlength="49" disabled><input name=email type="hidden" value="<%=Request.Cookies(shop)("mail")%>"></td>
            </tr>
            <tr valign="middle">
              <td height="25" align="center"><br>
              留言内容<font color="#ff3333">*</font></td>
              <td width="450" height="25"><textarea name="contents" cols="50" rows="6" wrap="physical" id="contents" title="留言内容，每条不能超过800字。
"  onMouseOver = "this.style.backgroundColor = '#E5F0FF'" onMouseOut = "this.style.backgroundColor = ''"></textarea></td>
            </tr>
            <tr valign="middle">
              <td height="25" colspan="2" align="center">&nbsp;
                  <input name=submit type=submit class="go-wenbenkuang" id="submit" onClick="javascript:return checksignup()" value='提 交' onFocus="this.blur()">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
              <input name="Reset" type="reset" class="go-wenbenkuang" id="Reset" value="重 写" onFocus="this.blur()"></td>
            </tr>
          </form>
        </table>
		<% end if %>
		</td>
	          </tr>
                      </table>
					  <div class="HackBox"></div>
			</div>
<!--#include file="../../members/mybottom.jsp" -->
</body>
</html>

